<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <View
        android:id="@+id/statusBarBackground"
        android:layout_width="match_parent"
        android:layout_height="24dp"
        android:background="@color/colorPrimaryDark"
        tools:ignore="MissingConstraints" />

    <androidx.appcompat.widget.Toolbar
        android:id="@+id/mToolbar"
        android:layout_width="match_parent"
        android:layout_height="?attr/actionBarSize"
        android:background="@color/colorPrimaryDark"
        app:layout_constraintTop_toBottomOf="@+id/statusBarBackground">

        <ImageView
            android:id="@+id/iv_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/ic_left_back" />

        <ImageView
            android:layout_width="60dp"
            android:layout_height="40dp"
            android:layout_gravity="center"
            android:src="@drawable/ic_yes_partner" />

    </androidx.appcompat.widget.Toolbar>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:nestedScrollingEnabled="false"
        android:scrollbars="none"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/mToolbar">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">


            <androidx.cardview.widget.CardView
                android:id="@+id/card_banner"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:cardCornerRadius="@dimen/margin_1x_size"
                app:cardElevation="@dimen/margin_1x_size"
                app:cardUseCompatPadding="true"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent">

                <ImageView
                    android:id="@+id/iv_partner_banner"
                    android:layout_width="match_parent"
                    android:layout_height="150dp"
                    android:scaleType="fitXY"
                    android:src="@drawable/ic_invite_friend_banner" />


            </androidx.cardview.widget.CardView>

            <com.seatel.mobilehall.util.customview.CustomButton
                android:id="@+id/btn_search"
                android:layout_width="match_parent"
                android:layout_height="35dp"
                android:layout_marginStart="@dimen/margin_1x_size"
                android:layout_marginEnd="@dimen/margin_1x_size"
                android:background="@drawable/rounded_corner"
                android:backgroundTint="@color/colorLightGray"
                android:gravity="center_vertical"
                android:paddingStart="@dimen/margin_5x_size"
                android:text="Search For a yes Partner"
                android:textColor="@color/colorGray"
                app:layout_constraintTop_toBottomOf="@+id/card_banner" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/tv_partner"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/margin_2x_size"
                android:layout_marginTop="@dimen/margin_1x_size"
                android:text="Top yes Partner"
                android:textColor="@color/colorPrimary"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/btn_search" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recyclerTopPartner"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:nestedScrollingEnabled="false"
                android:padding="@dimen/margin_2x_size"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tv_partner" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recyclerPartner"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:nestedScrollingEnabled="false"
                android:padding="@dimen/margin_2x_size"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                app:layout_constraintTop_toBottomOf="@+id/recyclerTopPartner" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </ScrollView>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/scan_qr"
        android:layout_width="80dp"
        android:layout_height="35dp"
        android:layout_marginEnd="@dimen/margin_2x_size"
        android:layout_marginBottom="@dimen/margin_2x_size"
        android:background="@drawable/bg_roaming_round_pink"
        android:backgroundTint="@color/colorPrimary"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent">


        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/tv_scan"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/margin_1x_size"
            android:paddingStart="@dimen/margin_1x_size"
            android:text="Scan"
            android:textColor="@color/white"
            android:textSize="@dimen/small_text_size"
            app:layout_constraintBottom_toBottomOf="@+id/iv_qrcode"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@+id/iv_qrcode" />

        <ImageView
            android:id="@+id/iv_qrcode"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/margin_1x_size"
            android:paddingEnd="@dimen/margin_1x_size"
            android:src="@drawable/ic_qrcode"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:tint="@color/white" />


    </androidx.constraintlayout.widget.ConstraintLayout>
</androidx.constraintlayout.widget.ConstraintLayout>